List comments.
GET
https://drive.cloud.hicloud.com/drive/v1/files/{fileId}/comments
*Some parameters are mandatory.
| parameter | type | description | |
| fileId | string | path | File ID. (Mandatory) |
| pageSize | string | query | The maximum number of comments to return per page. The default value is 100, which is also the acceptable maximum value. Note: It is possible that partial or empty result pages are returned before the end of the comment list has been reached. |
| cursor | string | query | Cursor for the current page. It should be set to the value of nextCursor from the previous response. |
| startEditedTime | string | query | Time starting from which comments will be listed. |
| fields | string | query | Fields in the request, which are in the partial response format. |
| includeDeleted | string | query | Indicates whether to return deleted comments. |
| form | string | query | Media format. |
| prettyPrint | boolean | query | Indicates whether to return a response in a human-readable format. |
| quotaId | string | query | User identifier, consisting of 40 characters at maximum. It is used to restrict the number of API calls of an individual user. |
| callback | string | query | Callback function used in JSONP requests. |
| x-hw-trace-id | string | header | ID used for service tracing. |
| x-hw-app-id | string | header | App ID. |
| version | string | header | SDK version number. |
| x-hw-terminal | string | header | Device model. |
| x-hw-os | string | header | Device operating system. |
| unionID | string | header | Open user ID. |
| User-Agent | string | header | App version number or ID. |
Leave the request body empty.
If successful, this method returns a response body with the following structure:
- {
- "category": "drive#commentList",
- "nextCursor": "string",
- "comments": [
- {
- "category": "drive#comment",
- "id": "string",
- "createdTime": "2020-02-19T14:44:40.660Z",
- "editedTime": "2020-02-19T14:44:40.661Z",
- "creator": {
- "category": "drive#user",
- "displayName": "string",
- "profilePhotoLink": "string",
- "me": true,
- "permissionId": "string",
- "userAccount": "string"
- },
- "description": "string",
- "htmlDescription": "string",
- "deleted": true,
- "resolved": true,
- "quotedContent": {
- "mimeType": "string",
- "content": "string"
- },
- "position": "string",
- "replies": [
- {
- "category": "drive#reply",
- "id": "string",
- "createdTime": "2020-02-19T14:44:40.661Z",
- "editedTime": "2020-02-19T14:44:40.661Z",
- "creator": {
- "category": "drive#user",
- "displayName": "string",
- "profilePhotoLink": "string",
- "me": true,
- "permissionId": "string",
- "userAccount": "string"
- },
- "htmlDescription": "string",
- "description": "string",
- "deleted": true,
- "operate": "string"
- }
- ]
- }
- ]
- }
| Parameter Name | string | Description |
| category | string | Resource type. The value is always drive#commentList. |
| nextCursor | string | Cursor for the next page. It will be absent if the end of the comment list has been reached. |
| comments[] | list | The list of comments. |
| comments.category | string | Resource type. The value is always drive#comment. |
| comments.id | string | Comment ID. |
| comments.createdTime | string | Time when the comment was created. |
| comments.editedTime | string | Last time when the comment was modified. |
| comments.creator.category | string | Creator type. The value is alwaysdrive#user. |
| comments.creator.displayName | string | Displayed name for this user. |
| comments.creator.profilepPhotoLink | string | Link to the user's profile picture, which is not returned by default. |
| comments.creator.me | boolean | Indicates whether this user is the requesting user. |
| comments.creator.permissionId | string | Permission ID. |
| comments.creator.userAccount | string | Account of the user, which is not returned by default. |
| comments.description | string | Content of the comment in plain text format. |
| comments.htmlDescription | string | Content of the comment in HTML format. |
| comments.deleted | boolean | Indicates whether the comment has been deleted. |
| comments.resolved | boolean | Indicates whether the comment has been resolved. |
| comments.quotedContent.mimeType | string | Type of the quoted content. |
| comments.quotedContent.content | string | Quoted content. |
| comments.position | string | Position of the comment content. |
| comments.replies[] | list | List of replies to the comment. |
| comments.replies.category | string | Reply type. The value is always drive#reply. |
| comments.replies.id | string | Reply ID. |
| comments.replies.createdTime | string | Time when the reply was created. |
| comments.replies.editedTime | string | Last time when the reply was modified. |
| comments.replies.creator.category | string | Reply creator type. The value is always drive#user. |
| comments.replies.creator.displayName | string | Displayed name for this user. |
| comments.replies.creator.profilePhotoLink | string | Link to the user's profile picture, which is not returned by default. |
| comments.replies.creator.me | boolean | Indicates whether this user is the requesting user. |
| comments.replies.creator.permissionId | string | Permission ID. |
| comments.replies.creator.userAccount | string | Account of the user, which is not returned by default. |
| comments.replies.htmlDescription | string | Reply content in HTML format. |
| comments.replies.description | string | Reply content. |
| comments.replies.deleted | boolean | Indicates whether the reply has been deleted. |
| comments.replies.operate | string | Operation to be performed for the comment. |